> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group

> Gets a group by name.



## OpenAPI

````yaml /api/iam/api/group.openapi.json get /v1/groups/{group}
openapi: 3.1.0
info:
  title: Confidence Group API
  version: 1.0.0
  description: API documentation for group
servers: []
security: []
paths:
  /v1/groups/{group}:
    get:
      summary: Get Group
      description: Gets a group by name.
      operationId: Group.get
      parameters:
        - name: group
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a [Group](/api-reference/schemas/group).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.Group'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.Group:
      title: Group
      type: object
      description: A group of identities.
      properties:
        name:
          type: string
          description: |-
            The resource name of the group.
             For example:
             `groups/1bhq4c2zqigdzqg6ufni/
        displayName:
          type: string
          description: Human friendly name of the group.
        description:
          type: string
          description: Optional description of the group.
        groupType:
          type: string
          enum:
            - GROUP_TYPE_UNSPECIFIED
            - USER_CREATED
            - SYSTEM_CREATED
          description: The type of the group.
        createTime:
          type: object
          description: Time when the group was first created.
        updateTime:
          type: object
          description: Time when the group was last updated.
        creator:
          type: string
          description: Reference to the identity that created this group.
        updater:
          type: string
          description: Reference to the identity that last updated this group.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        owner:
          type: string
          description: |2-

             The owner of the resource. If not set will default to the creator.
        identity:
          type: string
          description: Reference to the identity this group represents.
      required:
        - displayName
        - groupType
        - createTime
        - updateTime
        - creator
        - updater
        - identity
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````